Lomeutec - Tutoriais e Informação

Problemas com JAVA no Chrome versão 42 ou superior

  • Publicidade: Powered by Google

    Quem utiliza o Chrome e acessa páginas que necessitam carregar aplicações em Java, Silverlight e Unity vem enfrentando problemas. Essa publicação ensina como reabilitar esses recursos. Nas versões atuais, o navegador bloqueia a execução dos plugins que usam o sistema NPAPI, considerado antigo e com falhas de segurança. No entanto, esse sistema foi largamente utilizado para o desenvolvimento de várias aplicações Web e o bloqueio deles tornaram-se um transtorno para o usuário. Esses plugins são por exemplo, usados atualmente para a execução de aplicações bancárias, transmissão de vídeo, entre outras funções.

    DICA

    O procedimento demonstrado a seguir, segundo os próprios desenvolvedores do Google Chrome, irá funcionar até que seja lançada a nova versão do navegador e que está prevista para o final de 2015. Até lá, poderemos retirar esse bloqueio através de um comando na própria barra de endereços do Chrome.

    Atualmente ao tentar utilizar alguma página que necessita carregar algum plugin desenvolvido com sistema NPAPI aparece uma barra amarela com um aviso em inglês.


    Esse aviso informa que o recurso não é mais suportado.

    Para contornar esse problema cole o comando abaixo na barra de endereços do Chrome:

    chrome://flags/#enable-npapi

    O navegador irá abrir já parte correta onde deve ser feita a configuração.


    Apenas clique em "Ativar", feche e reabra o Chrome. Dessa forma os plugins voltarão a funcionar temporariamente até que novas atualizações sejam feitas no navegador. Se o aviso voltou aparecer após a alteração tente recarregar a página e se mesmo assim o recurso não funcionar repita o procedimento anterior. Ainda persistindo o problema siga as orientações da publicação RETIRE TOOLBARS, EXTENSÕES E RESTAURE O NAVEGADOR e depois repita as explicações dessa postagem. Lembre-se de que esse procedimento só irá funcionar se seu navegador Chrome estiver em uma versão inferior a 45.

    A decisão de retirar o suporte a esses plugins foi tomada para a melhora da segurança. Plugins do Flash Player e de leitor de PDF ainda serão mantidos.

    É isso aí e até a próxima. ;-)

    Nilton (LOMEUTEC)
    É formado como técnico em informática com ênfase em análise de sistemas e programação comercial. No entanto gosta mesmo é de fazer publicações para o blog lomeutec.blogspot.com onde compartilha grande parte do pouco conhecimento autodidata que adquire através de experiências, estudos diários e até mesmo de tudo aquilo que descobre enquanto navega despreocupadamente pela internet em seus momentos de ócio. Aqui no LTI acumula funções de publicador, moderador, editor, administrador e o que mais for possível e necessário.